Mercury API
CmdGetTagBuffer Method (count, epc496, protocol)
Namespaces ► ThingMagic ► SerialReader ► CmdGetTagBuffer(UInt16, Boolean, TagProtocol)
Get tag data of a number of tags from the tag buffer. This command moves a read index into the tag buffer, so that repeated calls will fetch all of the tags in the buffer.
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public TagData[] CmdGetTagBuffer(
    	ushort count,
    	bool epc496,
    	TagProtocol protocol
    )

    <ObsoleteAttribute> _
    Public Function CmdGetTagBuffer ( _
    	count As UShort, _
    	epc496 As Boolean, _
    	protocol As TagProtocol _
    ) As TagData()

    [ObsoleteAttribute]
    public:
    array<TagData^>^ CmdGetTagBuffer(
    	unsigned short count,
    	bool epc496,
    	TagProtocol protocol
    )

Parameters

count (UInt16)
  the maximum of tags to get from the buffer. No more than 65535 may be requested. It is an error to request more tags than exist.

epc496 (Boolean)
  Whether the EPCs expected are 496 bits (true) or 96 bits (false)

protocol (TagProtocol)
  Tag protocol under which to interpret TagData content. Will be overridden by fetched information if TagMetadataFlag.PROTOCOL is present in metadataFlags.

Return Value
the tag data. Fewer tags may be returned than were requested.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)